# $Revision: 1.25 $, $Date: 2004/01/28 23:56:20 $
Summary:	MPEG-2 Decoder
Summary(pl):	Dekoder plikw MPEG-2
Name:		mpeg2dec
Version:	0.4.0b
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://libmpeg2.sourceforge.net/files/%{name}-%{version}.tar.gz
# Source0-md5:	52d10ea80595ec83d8557ba7ac6dc8e6
Patch0:		%{name}-opt.patch
Patch1:		%{name}-use_pic.patch
URL:		http://libmpeg2.sourceforge.net/
BuildRequires:	SDL-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
%ifarch ppc
# version with altivec support (almost?) fixed
BuildRequires:	gcc >= 5:3.3.2-3
%endif
BuildRequires:	libtool
Requires:	%{name}-lib = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MPEG-2 Decoder.

%description -l pl
Dekoder MPEG-2.

%package lib
Summary:	MPEG-2 Decoder library
Summary(pl):	Biblioteka dekodujca pliki MPEG-2
Group:		Libraries

%description lib
MPEG-2 Decoder library and extract_mpeg2 utility.

%description lib -l pl
Biblioteka dekodujca pliki MPEG-2 i narzdzie extract_mpeg2.

%package devel
Summary:	MPEG-2 Decoder development files
Summary(pl):	Pliki dla programistw uywajcych dekodera MPEG-2
Group:		Development/Libraries
Requires:	%{name}-lib = %{version}

%description devel
MPEG-2 Decoder development files.

%description devel -l pl
Pliki dla programistw uywajcych dekodera MPEG-2.

%package static
Summary:	MPEG-2 Decoder static libraries
Summary(pl):	Statyczne biblioteki dekodera MPEG-2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
MPEG-2 Decoder static libraries.

%description static -l pl
Statyczne biblioteki dekodera MPEG-2.

%prep
%setup -q -n %{name}-0.4.0
%patch0 -p1
%patch1 -p1

# using altivec code w/o altivec ABI (still) triggers gcc 3.3.2 ICE
# but I suppose it's needed for this code anyway
%{__perl} -pi -e 's/-maltivec/-maltivec -mabi=altivec/' configure.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?debug:--enable-debug} \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	lib -p /sbin/ldconfig
%postun	lib -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mpeg2dec
%{_mandir}/man1/mpeg2dec.1*

%files lib
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/corrupt_mpeg2
%attr(755,root,root) %{_bindir}/extract_mpeg2
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man1/extract_mpeg2.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/mpeg2dec
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mpeg2dec.spec,v $
Revision 1.25  2004/01/28 23:56:20  qboosh
- updated to 0.4.0b (fixed typo in x86 ifdef)

Revision 1.24  2004/01/19 20:23:36  qboosh
- found how to use altivec here; release 4

Revision 1.23  2004/01/10 11:08:04  qboosh
- fixed opt patch for sparc, added missing automake call; release 3

Revision 1.22  2004/01/10 10:19:57  qboosh
- workaround for gcc ICE on ppc (altivec-related)

Revision 1.21  2004/01/09 11:27:58  jajcus
- don't try do disable PIC when compiling the library (-use_pic.patch, fixes AMD64 and probably Alpha compilation)

Revision 1.20  2003/12/25 01:37:43  qboosh
- updated to 0.4.0, updated opt patch

Revision 1.19  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.18  2003/05/25 05:50:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/01/28 13:38:30  wrobell
- rel. 3

Revision 1.16  2003/01/27 22:31:20  qboosh
- grr, fixed files after moving

Revision 1.15  2003/01/27 20:22:33  aflinta
- moved to /usr ; release 2

Revision 1.14  2003/01/04 23:50:26  qboosh
- 0.3.1, updated opt patch
- separated lib because of mpeg2dec player dependencies
- moved all but player to /usr (only player uses X11)

Revision 1.13  2002/12/17 12:48:37  blues
- small fix

Revision 1.12  2002/11/25 14:17:44  ankry
- massive attack: no need for 755 for *.la

Revision 1.11  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/09/23 13:39:33  wrobell
- ver. 0.2.1, stb

Revision 1.9  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:14:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/10/26 22:25:57  qboosh
- changed -devel,-static Group to X11/Development/Libraries
- remaining pl translations
- removed alsa-lib-devel,arts-devel,esound-devel dependencies - they
  are required by SDL-devel if SDL is built with support for those libs
- opt patch to use %%rpmcflags, spec is %%debug-ready
- release 3

Revision 1.4  2001/07/26 10:55:12  kloczek
- build shared libraries,
- added missing BuildRequires rules,
- few celanups and cosmetics.

Revision 1.3  2001/07/26 09:54:21  blues
- URLs corrected

Revision 1.2  2001/07/26 09:47:50  blues
- Release 2
- make libtool happy - ac 2.5 works now

Revision 1.1  2001/06/12 06:54:11  pascalek
- initial revision
